Bug 357461 - Review Request: CTL - The Color Transformation Language
Review Request: CTL - The Color Transformation Language
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-29 18:57 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-16 22:28:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-10-29 18:57:38 EDT
Spec URL:
http://kwizart.free.fr/fedora/7/testing/ctl/ctl.spec
SRPM URL:
http://kwizart.free.fr/fedora/7/testing/ctl/ctl-1.4.1-1.fc7.kwizart.src.rpm
Description: The Color Transformation Language
Comment 1 Mamoru TASAKA 2007-11-05 03:43:02 EST
For 1.4.1-1:

* URL
  - (For sourceforge hosted projects), I usually think it is
    is better to use http://ampasctl.sourceforge.net/

* .pc file
  - For %_libdir/pkgconfig/CTL.pc:
-----------------------------------------------------
Libs: -L${libdir}   -lIlmCtlSimd -lIlmCtlMath -lIlmCtl -lImath -lHalf -lIex
-lIlmThread  
Cflags: -I/usr/include/OpenEXR   -I${CTL_includedir}
-----------------------------------------------------
    OpenEXR-devel ships OpenEXR.pc so please use this.

* rpmlint
-----------------------------------------------------
ctl-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/ctl-1.4.1/IlmCtl/CtlParser.cpp
ctl-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/ctl-1.4.1/IlmCtl/CtlInterpreter.cpp
-----------------------------------------------------
  - Please fix the permissions.

* License
  - Perhaps I can think this is BSD, however this is a bit
    different from BSD and once I want to ask how we can regard
    the term of "being governed by the laws of foo" like this
    package.
Comment 2 Tom "spot" Callaway 2007-11-06 09:55:22 EST
I'm pretty sure this BSD variant is Free, but GPL incompatible, due to the "This
license shall be governed by the laws of the State of California, and subject to
the jurisdiction of the courts therein."

I'm asking the FSF for feedback, please hold until I get it.
Comment 3 Tom "spot" Callaway 2007-11-06 13:37:06 EST
License is ok, Free but GPL Incompatible.

Use the short name identifier:

License: AMPAS BSD

Lifting FE-Legal.
Comment 4 Nicolas Chauvet (kwizart) 2007-11-07 12:18:22 EST
Spec URL:
http://kwizart.fedorapeople.org/SRPMS/ctl.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/ctl-1.4.1-2.fc7.kwizart.src.rpm
Description: The Color Transformation Language

%changelog
- Improve license URL
- Use IlmBase.pc for pkg-config
- Fix perms in debuginfo

I've changed BuidRequires since configure checks for IlmBase not OpenEXR
actually (spitted since OpenEXR 1.6.0)

I wonder if I would change the name from ctl to CTL since There is case problem
with theses package (same plans for openexr_ctl to OpenEXR_CTL since we already
have OpenEXR which seems more clean...)

Comment 5 Mamoru TASAKA 2007-11-08 10:23:25 EST
Well, almost okay, however would you recheck if such a large patch
as ctl-1.4.1-disable_rpath.patch is really needed to remove rpath?

I guess fixing (removing) hardcode_libdir_flag_spec from configure
(maybe from libtool is okay) will remove rpath, as written in
"Removing Rpath" section of 
http://fedoraproject.org/wiki/Packaging/Guidelines
Comment 6 Mamoru TASAKA 2007-11-09 06:37:38 EST
(In reply to comment #4)

> I wonder if I would change the name from ctl to CTL since There is case problem
> with theses package (same plans for openexr_ctl to OpenEXR_CTL since we already
> have OpenEXR which seems more clean...)

It seems to make sense, so please change the name to CTL if you want
to.
Comment 7 Nicolas Chauvet (kwizart) 2007-11-09 07:18:35 EST
Spec URL:
http://kwizart.fedorapeople.org/SPECS/CTL.spec
SRPM URL:
http://kwizart.fedorapeople.org/SRPMS/CTL-1.4.1-3.fc7.kwizart.src.rpm
Description: The Color Transformation Language

%changelog
- Change package name from ctl to CTL
- Use patch libtool method to remvove rpath
Comment 8 Mamoru TASAKA 2007-11-09 08:55:44 EST
Well, I will recheck your newest srpm soon.
By the way, I would appreciate it if you would review my review request
bug 365131 .
Comment 9 Mamoru TASAKA 2007-11-09 09:29:38 EST
Okay, good.

---------------------------------------------------------------
    This package (CTL) is APPROVED by me
---------------------------------------------------------------
Comment 10 Mamoru TASAKA 2007-11-16 01:41:38 EST
ping?
Comment 11 Nicolas Chauvet (kwizart) 2007-11-16 08:39:37 EST
New Package CVS Request
=======================
Package Name: CTL
Short Description: The Color Transformation Language
Owners: kwizart
Branches: F-7 F-8
Comment 12 Kevin Fenzi 2007-11-16 12:09:53 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.